Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy > Struct Template Reference

Template class for stub argument traits of bounded (w)strings. More...

`#include <BD_String_Argument_T.h>`

List of all members.

## Public Types
typedef T * | ret_type
typedef T const * | in_type
typedef T *& | inout_type
typedef T_out | out_type
typedef In_BD_String_Argument_T< T, to_T, from_T, BOUND, Insert_Policy > | in_arg_val
typedef Inout_BD_String_Argument_T< T, to_T, from_T, BOUND, Insert_Policy > | inout_arg_val
typedef Out_BD_String_Argument_T< T, T_out, to_T, from_T, BOUND, Insert_Policy > | out_arg_val
typedef Ret_BD_String_Argument_T< T, T_var, to_T, from_T, BOUND, Insert_Policy > | ret_val
typedef BD_String_Tag | idl_tag

## Detailed Description

### template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
struct TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >

Template class for stub argument traits of bounded (w)strings.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef BD_String_Tag TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::idl_tag

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef In_BD_String_Argument_T<T, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::in_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef T const* TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::in_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef Inout_BD_String_Argument_T<T, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::inout_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef T*& TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::inout_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef Out_BD_String_Argument_T<T, T_out, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::out_arg_val

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef T_out TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::out_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef T* TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::ret_type

template<typename T, typename T_var, typename T_out, typename to_T, typename from_T, size_t BOUND, typename Insert_Policy>
typedef Ret_BD_String_Argument_T<T, T_var, to_T, from_T, BOUND, Insert_Policy> TAO::BD_String_Arg_Traits_T< T, T_var, T_out, to_T, from_T, BOUND, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- BD_String_Argument_T.h